/*
============================================================================
 Name        : Labyrinth.h
 Author      : Konstantin Tretyakov
 Version     :
 Copyright   : Copyright 2006, Konstantin Tretyakov
 Description : Labyrinth class declaration
============================================================================
*/
#ifndef LABYRINTH_H_
#define LABYRINTH_H_

// TODO: For now code assumes MAZE_WIDTH = MAZE_HEIGHT
// size must be odd!
#define MAZE_WIDTH 21
#define MAZE_HEIGHT 21

// Automatic generation of random labyrinth
class TLabyrinth {
    private:
        int maze[(MAZE_WIDTH+2)*(MAZE_HEIGHT+2)];
        void WalkMaze(int x, int y);        
    public:
        TLabyrinth();
        void MakeRandom();
        void AddRandomSquare(int width, int height);
        inline int& operator() (int i, int j) {
            return maze[(i+1)*(MAZE_WIDTH + 2) + (j+1)];
        };
};


#endif /*LABYRINTH_H_*/
