/*
============================================================================
 Name        : SyMazeContainer.h
 Author      : Konstantin Tretyakov
 Copyright   : Copyright 2006, Konstantin Tretyakov
 Description : Declares container control for application.
============================================================================
*/

#ifndef SYMAZECONTAINER_H
#define SYMAZECONTAINER_H

#include <coecntrl.h>
#include <aknutils.h>
#include <fbs.h>
#include "EGLHelper.h"
#include "EGLTextureHelper.h"
#include "GameControl.h"

class CSyMazeContainer : public CCoeControl {
    public:
     // Constructors and destructor
        void ConstructL(const TRect& aRect);
        ~CSyMazeContainer();

     // Timer callback
        static TInt CSyMazeContainer::TimerCallback(TAny* aInstance);
    private:
        EGLHelper iEglHelper;
        CPeriodic*  iTimer;  // Game animation timer
        CFbsBitmap* iTexture1; // Texture
    public:
        CGameControl* iGameControl; // Main game controller
        CEGLTextureHelper* iTextureHelper;
        CFbsBitmap* iOffscreenBitmap;
};

#endif


