/*
============================================================================
 Name        : SyMazeSoundAdapter.h
 Author      : Konstantin Tretyakov
 Version     :
 Copyright   : Copyright 2006, Konstantin Tretyakov
 Description : CSyMazeSoundAdapter class declaration
============================================================================
*/
#ifndef SYMAZESOUNDADAPTER_H_
#define SYMAZESOUNDADAPTER_H_

#include <MdaAudioSamplePlayer.h>

class CSyMazeSoundAdapter : public CBase, public MMdaAudioPlayerCallback {
public:
    static CSyMazeSoundAdapter* NewL();
    static CSyMazeSoundAdapter* NewLC();    
    ~CSyMazeSoundAdapter();
    void PlayL();   
    void StopL(); 

public:
    void MapcInitComplete(TInt aError, const TTimeIntervalMicroSeconds& aDuration);
    void MapcPlayComplete(TInt aError);
   
private:
    CSyMazeSoundAdapter();
    void ConstructL();
    TBool iFreeToPrepare;
    TBool iFreeToPlay;
    CMdaAudioPlayerUtility* iMdaAudioPlayerUtility;
};


#endif /*SYMAZESOUNDADAPTER_H_*/
