/*
============================================================================
 Name        : SyMazeSoundAdapter.cpp
 Author      : Konstantin Tretyakov
 Version     :
 Copyright   : Copyright 2006, Konstantin Tretyakov
 Description : SyMazeSoundAdapter implementation
============================================================================
*/
#include "SyMazeSoundAdapter.h"
#include <aknutils.h>

_LIT(KSoundSampleFile, "shot.wav");


CSyMazeSoundAdapter::CSyMazeSoundAdapter(){
}


CSyMazeSoundAdapter::~CSyMazeSoundAdapter()
{
    delete iMdaAudioPlayerUtility;
}

CSyMazeSoundAdapter* CSyMazeSoundAdapter::NewLC()
{
    CSyMazeSoundAdapter* self = new (ELeave) CSyMazeSoundAdapter;
    CleanupStack::PushL(self);
    self->ConstructL();
    return self;
}

CSyMazeSoundAdapter* CSyMazeSoundAdapter::NewL()
{
    CSyMazeSoundAdapter* self=CSyMazeSoundAdapter::NewLC();
    CleanupStack::Pop(); // self;
    return self;
}

void CSyMazeSoundAdapter::ConstructL()
   {
   TFileName fullName(KSoundSampleFile);
   CompleteWithAppPath(fullName);
   iMdaAudioPlayerUtility = CMdaAudioPlayerUtility::NewFilePlayerL(fullName, *this);
   }

void CSyMazeSoundAdapter::PlayL()
{
        if(iFreeToPlay) {
                iFreeToPlay = FALSE;
                iMdaAudioPlayerUtility->Play();
        }
}
void CSyMazeSoundAdapter::StopL()
{
   iMdaAudioPlayerUtility->Stop();
}

void CSyMazeSoundAdapter::MapcInitComplete(TInt /*aError*/, const TTimeIntervalMicroSeconds& /*aDuration*/)
{
   iFreeToPlay = TRUE;
}

void CSyMazeSoundAdapter::MapcPlayComplete(TInt /*aError*/)
{
   iFreeToPlay = TRUE;
}

